commit 79b63f0e57cd5baf06ff24252d3f1675dcb64467
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun May 17 14:29:29 2015 +1000

    randrproto 1.5.0

commit 895ee5264524c7c239ee4ef5e39c4e295323fb51
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Apr 22 10:58:18 2015 +1000

    randrproto: clarify output XID lifetimes.
    
    This just makes a note that randr won't make outputs disappear
    dynamically.
    
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 98da0d6e48b7d124d6788ea568e9f9e3dc204322
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 2 16:17:56 2015 +1000

    randrproto: add tile property info for randr 1.5
    
    expose this as an array of 8 32-bit values.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 4109f29861a7066970a2afd079d0fc2c12828bcb
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 12 15:57:57 2014 -0800

    Add Monitors, update version to 1.5 (v2)
    
    v2: [airlied] add get_active to monitor get
    interface, to allow normal vs configuration
    clients to see active vs all monitors. (r-b by keithp)
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d501a4f08ee3c5435841aa70c0d5cd4b7398bd12
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 12 15:57:40 2014 -0800

    Fix spelling errors in randrproto.txt
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b1ba68df8a5fc113a387123ec2f312195e28e47f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 14 09:35:04 2015 -0700

    randrproto 1.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a4a6694c059d74247c16527eef4a0ec9f56bbef6
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jan 6 21:34:51 2014 -0800

    spec: RRCrtcChangeMask and RROutputChangeMask are not things
    
    The correct names for these are RRCrtcChangeNotifyMask and
    RROutputChangeNotifyMask, respectively.
    
    v2: "when a the configuration" is also not a thing.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1755cbe0f501a86afe515f92bb24e417a1866092
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 3 13:43:21 2014 -0800

    spec: Move the GUID property into a new section since xrandr-1.4.0 was already released
    
    I pushed commit 19fc4c5a72eb9919d720ad66734029d9f8e313b1 before I remembered
    that xrandr-1.4.0 has already been released.  Move it to a new 1.4.1 section.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4d8e809684dedb970001099076bb62a38fcd82ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 5 10:40:11 2014 -0800

    Bug 73176 - randrproto typo (s/fundmentally/fundamentally)
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73176
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19fc4c5a72eb9919d720ad66734029d9f8e313b1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jun 12 12:32:19 2012 -0700

    Add a "GUID" property
    
    This property represents the globally-unique identifier of the connected
    display, if one is available.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <aritger@nvidia.com>

commit e7526e6b5fe0966929cda10b2ded0258413744db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 26 09:42:05 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ca7cc541c2e43e6c784df19b4583ac35829d2f72
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4ab506168ffad46518eb2b4d929034691344e9ff
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:01:10 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4fcbd8584e55ff789522a38a41a33c34446d1455
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 27 23:59:02 2012 -0700

    spec: Correct lengths in encoding of OffloadSink & OutputSource
    
    Make listed lengths match data shown & values in header for
    RRSetProviderOffloadSink & RRSetProviderOutputSource
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f876e00d29693e25c2b44ce33cd4a02f7a603eba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 27 23:59:02 2012 -0700

    spec: Add config-timestamp to descriptions of OffloadSink & OutputSource
    
    Present in header & encoding section, just not in the descriptions of
    RRSetProviderOffloadSink & RRSetProviderOutputSource
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed09b382e42d2131034b98abc861c091c3d1771c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 27 23:45:56 2012 -0700

    spec: Add PROVIDER_CAPS encoding to Appendix A
    
    Uses values found in randr.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c69dfe0cd310c122eae0b11c5547d5cd200ebbf5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 27 23:28:22 2012 -0700

    spec: Make encoding of RRGetProviderInfo match header
    
    The encoding is missing the 8 bytes of padding at the end of the
    base reply struct before the variable length lists begin.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3672b5430c9f665680e6a7a77f00202fc96243a0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 27 23:28:22 2012 -0700

    spec: Make encoding of RRGetProviders match description & header
    
    The description section matches randrproto.h - neither of which have
    the "maximum masters" or "flags" members, but do have padding before
    the providers list starts.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 722cf0c2ba07e986cbedf9d687a87daddd04fa92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 23:38:38 2012 -0700

    spec: Make description of RRProviderChangeNotify match encoding & header
    
    The encoding section matches randrproto.h - neither of which have the
    config-timestamp, root, or crtc members.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 534dea4512b812b9f8a62b4bbdbfe60d650ef01f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 22:50:05 2012 -0700

    spec: correct sub-code values for RRProvider*Notify event encoding
    
    These values match the RRNotify_* definitions in randrproto.h and
    don't overlap with the RROutput*Notify codes from RandR 1.2.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit ed0233e46fd2fe41b1c10e525423e90e0fa2bdc8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 20:51:03 2012 -0700

    spec: Correct length calculation in encoding of gamma lists
    
    The padding for RRGetCrtcGamma & RRSetCrtcGamma is a variable p,
    not a fixed 2 bytes, since it depends on how many values are
    included in the lists.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ddc00f44df77ff3309b2b7cd77d3423781947b14
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 20:40:06 2012 -0700

    spec: Correct size of outputs in RRSetCrtcConfig encoding
    
    Each OUTPUT is 4 bytes, not 8.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7339eaea1296de0e0f3ebc03d3606470ba143ac3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 19:00:35 2012 -0700

    spec: Update data type sections
    
    Make definitions more consistent about use of {} for enums, [] for structs
    Reflect the incorporation of more types from the Render spec in 1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit afe532b119fe46d32513dc71c76c3a906e06c5a8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 18:58:06 2012 -0700

    spec: Fix typos in text
    
    At least I'm assuming "providre" is a typo, not just a non-American variant.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a74417d782a39423e44a5a2e573816894635c234
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 18:31:16 2012 -0700

    spec: Correct length for RRCreateMode in encoding section
    
    (1 + 1 + 2 + 4 + 32) / 4 is 10 words, not 12
    10 also matches the sz_xRRCreateModeReq value of 40 in randrproto.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b52f4e39b670e98e56e346b7aa1393a2b24544f2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Aug 28 00:07:01 2012 -0700

    spec: add missing brackets between requests in encoding section
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5f5cb2767618ad22a5608142513c7dd81927a8d5
Author: Dave Airlie <airlied@gmail.com>
Date:   Thu Jul 12 22:45:05 2012 +1000

    bump to 1.4.0 (for release.sh)
    
    a trivial commit to make release.sh work.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 74637d53fa8f5bf44258f773c4aaf60053cccfc4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 9 22:18:22 2012 -0700

    1.4 spec: update Extension Versioning section to include 1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Dave Airlie <airlied@gmail.com>

commit 7b4b49760ff33022a8120841017bcfb7ffe5f6ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 9 22:18:21 2012 -0700

    1.4 spec: Add descriptions of new RRSELECTMASK bits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Dave Airlie <airlied@gmail.com>

commit 75a1d1aa8fb539ec5a7a6c8337e46ee8e5de4a36
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 9 22:18:20 2012 -0700

    1.4 spec: Change "LISTof ATOM" to "LISTofATOM" to match other LIST types
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Dave Airlie <airlied@gmail.com>

commit ef99bda581449d6c8dab7233e287c7bfd578730c
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jan 20 17:38:16 2012 +0000

    randr: add provider object (v8)
    
    A provider object represents a GPU or virtual device that provides
    rendering or output services to the X server. This protocol
    allow controlling provider objects for output and offload slave devices.
    
    v1.1: fix typo add missing define
    
    v2: rename nProperties back to nAtoms, makes server simpler to c-n-p,
    add missing Get request/reply
    
    v3: bring back configure property, no point in diverging from the
    output property code without good reason.
    also fix typo pointed out on irc by rei4dan.
    
    v3.1: drop cut-n-paste, increase RRNumberRequests
    
    v4: reviewed by Aaron, address comments:
    Fix provider error code
    add missing notify, remove dri2 references, fix c-n-p issues.
    
    v5: add provider change notify event with current role.
    v5.1: fix cut-n-paste
    
    v6:
    document flags, fix whitespace, add better errors for SetProviderRoles,
    add new events, fix pending language.
    
    v6.1: add missing change notify event struct + missing padding
    
    v7: fix a bunch more tab/spaces, add appendix sections for requests, events
    and errors, remove multimaster flag in favour of max master counter,
    move some members around to follow other events.
    
    v7.1 fix maxMaster + wrong comment, one whitespace
    v7.2 bump to being randr 1.4, fix some too generic names.
    v7.3 remove dynamic flag, fix some language
    
    v8 overhaul complete protocol, remove set provider roles, add specific
    methods for setting offload sinks and output sources, add a list
    of associated providers into the get provider info struct.
    
    Earlier-review-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e0c94fa3a9e9f237c65c35e42aaa673994e55b7e
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jun 25 12:01:03 2012 +0100

    Revert the unused 1.4.0 protocol
    
    This patch reverts:
    Revert "Make SetCrtcConfigs take flags bits to allow partial configuration changes"
    
    This reverts commit 105a161a3f5fb67f5fe7e4119629d424672804aa.
    
    Revert "Define new semantics for scanout pixmap destruction."
    
    This reverts commit 0d32bb0780db35cec31e423faffa7061ec3e697f.
    
    Revert "Fix spelling errors, add description of SCANOUTPIXMAPINFO fields."
    
    This reverts commit 3e28d3098faa1a420cd0eb0474b2959cecc8813a.
    
    Revert "Add some informative text about the reasons for the PCP and ST bits"
    
    This reverts commit ebab32deea654d2ceb0538177e78d8ad48cf2a82.
    
    Revert "RandR version 1.4 additions"
    
    This reverts commit dd14a2275521b4cc50a588c95cc34cca7db51a91.
    
    None of this was ever used in the X server and I think it should
    probably be addressed in smaller pieces later.
    
    Acked-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 40cce2d010c1eff087301d5bb0098d0e041ed71f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jul 27 22:57:56 2011 -0700

    Add "Border" and "BorderDimensions" properties
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Stéphane Marchesin <marcheu@chromium.org>

commit e151e053fbbcfd28b5465b6c495413f16e568e95
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Aug 2 14:58:31 2011 -0700

    Be more specific about property types
    
    RandR output properties are X properties, which have a type atom, a
    "format" (i.e. an element size) and a number of items.  Be explicit
    about these fields when describing properties in the protocol
    document.  E.g., instead of specifying "int32 [2 * n] / Atom pairs,"
    say "Type: INTEGER / Format: 32 / Num. items: 2*n."
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b5c977ad70b845c278ef52c004d9e5fc3ec97cbf
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 19 16:26:27 2011 -0400

    Remove nonsense paragraph about dual-link DVI
    
    I've never heard of any hardware that behaves so.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 105a161a3f5fb67f5fe7e4119629d424672804aa
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 22:44:30 2011 -0800

    Make SetCrtcConfigs take flags bits to allow partial configuration changes
    
    Instead of requiring a complete new configuration to be computed,
    allow the client to send a partial configuration with only the changed
    values included. This simplifies clients so that they need not change
    things they don't understand.
    
    This also removes the 'CurrentScanoutPixmap' hack as that is no longer
    necessary.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 611a4e0c7bdc9831e0eda396030a27bcd2c11759
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 6 22:13:22 2011 -0800

    Add missing Red Hat copyright notice to COPYING
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d32bb0780db35cec31e423faffa7061ec3e697f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 6 22:39:07 2010 -0800

    Define new semantics for scanout pixmap destruction.
    
    This is not yet implemented in the X server...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3e28d3098faa1a420cd0eb0474b2959cecc8813a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 6 10:01:21 2010 -0800

    Fix spelling errors, add description of SCANOUTPIXMAPINFO fields.
    
    Review results from Aaron Plattner.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ebab32deea654d2ceb0538177e78d8ad48cf2a82
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 5 23:22:26 2010 -0800

    Add some informative text about the reasons for the PCP and ST bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dd14a2275521b4cc50a588c95cc34cca7db51a91
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 5 20:31:18 2010 -0800

    RandR version 1.4 additions
    
    This adds the specification and protocol header definitions for the
    RandR 1.4 protocol changes, including
    
     * Per crtc pixmaps and pixmap origins
     * Sprite position and image transforms
     * SetCrtcConfigs request
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1325b011247e52cd8ffd0ca96408d77ea22ffaaa
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 5 20:30:43 2010 -0800

    Whitespace cleanups in randrproto.txt
    
    This just eliminates some ugly space/tab combos
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 75b7c5feed818291c8ba8ac1ee5b6a6ee4b61851
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 23:12:30 2010 -0700

    randrproto 1.3.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ecbca5e882907e9b948d5fc09b7dacc288eae6d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 28 19:00:31 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 68f8fbe50792e0525ba767d854b18db4acda07ff
Author: Rémi Cardona <remi@gentoo.org>
Date:   Thu Dec 17 08:36:49 2009 +0100

    Use $(docdir) for randrproto.txt install path
    
    Signed-off-by: Rémi Cardona <remi@gentoo.org>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit cfec02addb9475f5247c69454ccea87d0914cce1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 22 19:24:48 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 61f1a0417839a19654cb54a5e77c8569b05691bc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 16 11:13:30 2009 -0500

    README: file created or updated #24206
    
    Contains a set of URLs to freedesktop.org.

commit e9aa167bcbd86a55f41ce85f7908a3a529f64181
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 19:45:27 2009 -0500

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit b0efbc5f88db9805fcc603a939544dae715877d5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:31:29 2009 -0500

    Makefile.am: INSTALL file is missing or incorrect #24206
    
    The standard GNU file on building/installing  tarball is copied
    using the XORG_INSTALL macro contained in XORG_DEFAULT_OPTIONS
    Add INSTALL target

commit 2c4b4950e7ef98d83a93672cdc55e4c86fdcf296
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:11:36 2009 -0500

    configure.ac: deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1b53cedb70a020ef99740bd8239f8a8304e53c33
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 13:55:25 2009 -0500

    configure.ac: AM_MAINTAINER_MODE missing #24238
    
    This turns off maintainer mode build rules in tarballs.
    Works in conjunction with autogen.sh --enable-maintainer-mode

commit e860c1bc4bc0e33560d4c34cadd206c7b6350c73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 14 18:26:47 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 8289b93b9a21809c3ea88637c6dfad09849f46b5
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 5 20:50:22 2009 -0700

    New properties claimed to be in version 1.4 instead of 1.3.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 240bb6051dccd072c95c8569a62b1222213ef396
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 5 20:04:11 2009 -0700

    Bump version to 1.3.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5ea87cd2a1c7b636d95f42daf3f36ba3104d59d
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 5 20:20:14 2009 -0700

    Add XORG_DEFAULT_OPTIONS invocation in configure.ac
    
    This should be included in all xorg configure.ac files to provide a
    hook for setting various default values.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d9ee6abdef13d04f6e7015c0cc39e3855aa01bbf
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jun 5 20:37:24 2009 -0700

    Remove trailing white space from randrproto.txt

commit 92789c6c3a78bb64e391f1deec1d613900604985
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jun 5 20:35:46 2009 -0700

    Allow inactive outputs to be set as primary

commit 993dbda7b42caed7480dcff0eca4f9af9c1163ba
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Aug 18 12:08:25 2009 +0200

    Add Backlight property description.

commit 77c7ab02bf62f057c32f666168fd0ceb03a85a2d
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Aug 18 12:00:10 2009 +0200

    Should read "EDID", not "EdidData" (2).
    
    Also include reference to former name.

commit 5c95df133062570fe134be002dcb167ac059203d
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Aug 18 11:56:38 2009 +0200

    Sort properties alphabetically.

commit 27529caf7912094bc83b47b8251205029c35d52c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 1 11:48:26 2009 -0400

    Update reference to renderproto.txt

commit 8ae7f1d202279959fdad84d30054b52ef021a9cc
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 1 11:47:52 2009 -0400

    Clarify that GetOutputPrimary is per-screen.

commit 4036cdcc064db952286a74d679147d280b1a5f1f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 1 11:47:03 2009 -0400

    Punctuation fix.

commit 94e22fecc66590f81ca280517505c721a5f54497
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Mar 6 15:03:09 2009 +0100

    Bump to 1.3.0

commit 5cc58adb620d37694a9d57cd26c40b4cb2d1de68
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Feb 25 17:08:45 2009 +0100

    Bump to 1.2.99.4

commit 7bd01756e684bb841f32fa30832eb7980f92ac9c
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Feb 17 13:58:19 2009 -0500

    Zero reply from GetPanning means panning not supported.
    
    Don't throw BadRRCrtc for this case, that's just mean.

commit 1c7e20d115bc470479f32afd703ca7966754c54f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 27 20:06:28 2009 -0200

    Janitor: Correct make distcheck and dont distribute autogen.sh

commit 1ff5e2cdfa2636317099a0917c9819ff4a81b025
Author: Maarten Maathuis <madman2003@gmail.com>
Date:   Tue Dec 16 23:35:49 2008 +0100

    Fix typo in 83f3f29dd3ac5d3875b5edef5805d6adb6a02698.

commit 83f3f29dd3ac5d3875b5edef5805d6adb6a02698
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Dec 16 18:20:00 2008 +0100

    Add standard property name defines.

commit 6a480445e94c39df2bc9663e7590ab41cd17c465
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Dec 16 18:13:48 2008 +0100

    Should read "EDID", not "EdidData".

commit 2aae5ec72ea285a051deaae98515587e1c77d7a5
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Dec 16 18:09:08 2008 +0100

    Add description of standard properties.

commit 3fdbdc2b0a971db7497c6e03e215fd19ec400ce9
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Dec 12 12:41:21 2008 +0100

    Bump to 1.2.99.3

commit 0c1527d2e89a807e54c549e44798e2cf63fafca2
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 11 17:15:15 2008 +0100

    Panning tracking areas describe full screen if set to 0.

commit d904495a4cbd66850dc03d32f223aaaf8425f077
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 10 11:15:48 2008 -0500

    Add [GS]etOutputPrimary

commit 1334866b4aa025bce745140aa0f71f6493408ffa
Merge: ad65017 e719120
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 9 20:59:47 2008 -0800

    Merge commit 'origin/master'

commit e71912062f3985dd2f4d7b37e415b4a614b51d9b
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Dec 8 14:40:07 2008 +0100

    Add unicode art pictures for panning.

commit 19a851fc85192906586138c5b17740ba28328eaa
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 15:45:23 2008 +0100

    Bump to 1.2.99.2

commit fb1f243716282f442235323834fec50aab7fe2f7
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 15:44:12 2008 +0100

    Nuke config-timestamp for panning. Specifying panning update on screen size change.

commit 425468e9a29071823316bfc027bc80eb20acc61e
Author: Matthias Hopf <mhopf@suse.de>
Date:   Thu Dec 4 12:57:33 2008 +0100

    Add panning to versioning information.

commit 419a0f20746d9f3e8962ea3294568343d9877b2c
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Nov 28 18:30:22 2008 +0100

    Panning protocol bits description

commit 6b5d4ce8943c1d39392a0536d426fe27a9161b04
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Nov 28 18:29:19 2008 +0100

    Panning protocol description

commit abe956221670598a5fd0f77107a3471c2fcf84df
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Nov 28 17:22:23 2008 +0100

    Panning protocol extension

commit 546906dbe29816adaa6a35277266d79fbe131d0c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 3 13:36:00 2008 -0500

    Indent CRTC transform docs to match the rest of the requests.

commit 5d5e4cff8c69d36d10e682d59c9a9005a8b5ad18
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 3 12:02:18 2008 -0500

    More doc for CRTC transforms

commit ad6501790bbaff528cf247df24ddb7de27576a11
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 26 15:47:18 2008 -0800

    Remove duplicate GetScreenResourcesCurrent declarations
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 10bff0be50cf5cf314960bb85c472f1c63d37755
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 26 09:24:36 2008 -0800

    Update to version 1.2.99.1

commit 6c17940a7960885695aa6033de58c3cd2bb6fb79
Merge: c998b46 8793429
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Nov 24 16:22:11 2008 -0800

    Merge branch 'transform-proposal'
    
    Conflicts:
    
    	randr.h
    	randrproto.h
    	randrproto.txt

commit 8793429f3d9d7cdf16be118ce05a68af6531568e
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Nov 24 16:01:55 2008 -0800

    Describe projective transform additions in Introduction
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c998b4658d735e5b2d7aa6983d732d40cc802823
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 24 16:29:58 2008 -0500

    GSRC added in 1.3, not 1.2

commit 0d334c880396b9ef67ed899ad228cc693aad6a28
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 24 16:19:43 2008 -0500

    Fix RRNumberRequests

commit 2c0635eed5ae418ca278d99e044f583d54273097
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 24 15:54:09 2008 -0500

    Add GetScreenResourcesCurrent

commit 4a960ba3db3c3f8bdf3d519d263f910b6107b9ff
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Jul 11 17:12:22 2008 +0200

    spec: add missing list of clones to RRGetOutputInfo reply

commit 2be5a52d5f6bdd2aa70efcb06bd99a149c6db6ba
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jul 2 15:34:31 2008 -0400

    randrproto 1.2.2

commit 9ab3d5cca3cf9a76c6873007b8d4345c838cc297
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jun 23 14:52:12 2008 -0400

    Bug #16149: Make the field not be named 'delete' in C++ mode.
    
    Thanks for the upward compatibility, Bjarne.

commit 2d09f9cac379c74f492b528a8aa2ac3b5997d617
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 18 16:01:10 2008 -0700

    Eliminate inverse matrix from randr transform protocol
    
    It is easier, and potentially more precise, to compute the inverse in the
    server where everything can eventually be kept in floating point form.

commit aa5cd18a9f84aa075ffa7f70e6591b70b093119f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 15 00:32:35 2008 -0700

    Add filters to CRTC transforms.
    
    This allows scaling transforms to use bilinear filtering if desired.

commit 329b2068c1505dbc2eef7cc245b02c3bbf9c67ff
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 15 15:49:35 2008 -0800

    Add Transform request proposal for 1.3

commit 2df8499d24d15bfca3c928b681f64b6e8a05f0af
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:05 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 3243afaa593f95bb89b1381dac2b920111ce36b1
Author: Jakob Bornecrantz <wallbraker@gmail.com>
Date:   Tue Apr 17 14:25:38 2007 -0700

    Correct a copy'n'paste error in RRGetOutputInfo spec text.

commit d1c5739ae19f7cc01a6a5603d3fae93e1f9ee3d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 9 14:31:10 2007 -0700

    Delete duplicate B32's in xRRScreenChangeNotifyEvent
    
    Caused compiler warnings:
      "randrproto.h", line 567: warning: syntax error:  empty member declaration
      "randrproto.h", line 568: warning: syntax error:  empty member declaration

commit aada204b1fc9ba6461efad3fe6bd032ee98536e1
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Feb 18 21:02:30 2007 -0800

    Bump version to 1.2.1.
    
    And add copyright to configure.ac file

commit 0e689cecd65f420ec175046e4bb2b5386bf7b7c5
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Feb 18 21:02:10 2007 -0800

    Fix wording about requesting ConfigureNotify events.

commit 34ebf25a88972afdc561f4525d02b3fe41ac84bf
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Feb 1 15:08:10 2007 -0800

    Fix the size of the padding fields of xRRGetCrtcGamma.

commit 615f8077c55593a2001ca4c84ff3ede5c2c2842a
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Jan 9 09:40:47 2007 -0800

    Install the randr protocol description.

commit 335639ba8f0df1364a6807187ba17eeae5b187e4
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 30 13:25:35 2006 -0800

    More bugs found by Ian Osgood during the XCB work.
    
    ListOutputProperties has no nProperties field.
    Pad fields not mentioned in Gamma requests.
    sz_xRROUtputChangeNotifyEvent -> sz_xRROutputChangeNotifyEvent

commit 504556a9f886c84798ae8e0e46896a7c74b95c61
Merge: c27ece2 3d521b3
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 30 09:44:20 2006 -0800

    Merge branch 'multi-monitor'

commit 3d521b3d38d10c5ec660d13514ef3e626bef90fa
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 30 09:43:10 2006 -0800

    Fix padding bugs discovered in XCB work

commit c27ece25924115448bf9e1dc461d5e7f4112f112
Merge: 3305f63 7363d44
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Nov 27 15:31:33 2006 -0800

    Merge branch 'multi-monitor'
    
    This brings in the changes for RandR 1.2 protocol.

commit 7363d448c77c2d2ec2928d9d4bc41aac1c2d36b7
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Nov 24 13:45:25 2006 -0800

    Use BYTE for one-byte values. #undef Drawable needed.

commit a86f4b9442a48a3049e03a4c7d4fd022a860bf01
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Nov 24 13:44:55 2006 -0800

    Create Properties when configured. Pending defaults to Current
    
    Change property semantics to create them with empty value
    when they are configured.
    
    When clients request the Pending value of a property without any pending
    vlaue, the current value is returned instead.

commit af852261efa5eb7f8d16e3e90b8832bf66d93de7
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Nov 20 20:58:16 2006 -0800

    Change properties to have a pending value and report valid values.
    
    Pending values are transferred to current values at mode set, allowing a
    queue of values to accrue in preparation for the modeset operation while
    still reporting valid 'current' values for applications.
    
    The set of valid values is also available so applications can present
    a reasonable list to the user during configuration.
    
    I renumbered a bunch of requests to keep property requests sequential.

commit cdc282c2995dc17dee97c6da24a9705478cf792e
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Nov 16 08:50:49 2006 -0800

    Remove output options. Clean up other sizes.
    
    Output options will be controlled by properties instead.
    Also found a few instances in randrproto.txt using the wrong
    size for MODEINFO.

commit 96977842d01220bd4a294375c669b26ff30275d1
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Nov 1 11:50:50 2006 -0800

    Fix RRNumberErrors, start adding standard property names

commit 0e858436af67256c0af49317183df4bf8092183c
Author: Keith Packard <keithp@mandolin.keithp.com>
Date:   Wed Nov 1 00:23:37 2006 -0800

    Move physical size information from mode to output.
    
    Modes are stored in CRTCs which have no physical size.
    Outputs have a physical size which can change, both in response
    to mode changes as well as (potentially) other factors.
    
    Placing the physical size information in the output also permits clone
    mode to work across monitors of differing physical size.

commit 369d4e7d2030c707cf2ce37d06c1d23b0570910c
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Oct 4 20:03:35 2006 -0700

    Remove mode origins. Add preferred mode count.
    
    Switched from identifying source of mode line to listing which modes are
    preferred by each output. This enables better CRTC sharing by making modes
    less arbitrarily different.

commit 3c354e7245dd7830b5600716185017831aff1316
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Wed Oct 4 14:51:48 2006 -0700

    Get rid of mode origins.

commit ee843ac7077f5dcae677ad1b7c794abb0b89e111
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Oct 3 21:02:39 2006 -0700

    Add mode origins and output options.
    
    Mode origins indicate the source of the mode information, from VESA timings,
    user config or whatever.
    
    Output options currently include only panel fitting options; more may be
    added later (this field is 32 bits wide)

commit d6c9bdd0e6713a8c4dff53e88bd820ff1140758c
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Oct 3 11:01:56 2006 -0700

    Add mode origins and output options.
    
    Also document non-obvious defined types. Eliminate mode options.

commit 61d60a93dc0c827ef970f21f6b80099cc6c958f1
Author: Keith Packard <keithp@guitar.keithp.com>
Date:   Tue Sep 19 16:33:40 2006 -0700

    Update package version to 1.2.0. Fix various goofs found by building stuff.

commit ce292d7cad17be4b13e4b7fad27b0ecbed101689
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Sep 17 23:41:55 2006 -0700

    Fix various random typos found while attempting to use header files
    
    Fix RRNumberRequests
    Rename errors to include RR to avoid conflicting with Xi.
    Add RR to various request/reply structs (oops).
    Remove nOutputs from SetCrtcConfigReq -- length is sufficient.
    Remove bogus members from SetCrtcConfigReply.
    Add MODEOPTION. Document protocol error encoding.

commit d6992dd3b7fcf22e4d670b29e8d0e2aba0d8e81d
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Sep 15 15:41:02 2006 -0700

    Add CONNECTION values to spec and header.
    
    Missing CONNECTION values in encoding and header file.

commit e9a5a489acd591ff53823b406dca13c622439c14
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Thu Sep 14 23:53:04 2006 -0700

    Update header files for new 1.2 spec. Fix missing bits in spec.
    
    Spec was missing a few things in the encoding section.

commit 81ecda4300e007d62b36942fd6ac56a3ee1a1fa0
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Sep 13 12:35:05 2006 -0700

    Add .gitignore

commit 1cb8f4cda51fc256908a199c2599f46211c0cd52
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Sep 13 12:33:58 2006 -0700

    Fix RandR opcodes

commit b34676e8f709c4f8f6a2112c83103dfd0cabcbd7
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Wed Sep 13 12:23:08 2006 -0700

    Add Output properties and CRTC Gamma ramps. Move sub-pixel to Output.
    
    The property requests mirror the core window property requests, except that
    notify events are delivered to windows, rather than to outputs.
    
    Gamma ramps lifted from XFree86V-idModeExtension; clients get to deal with
    converting single value to ramp though.
    
    Subpixel moved to output; clients get to figure out the effect of rotation
    on subpixel ordering.

commit 1ec6ea06b8b7182b465e5c0d34475c20de76812b
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Sep 12 18:40:03 2006 -0700

    Spelling and formatting fixes.

commit e81693720d5d1acf31780de3f5fa90bf0f46a801
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Sep 12 16:48:22 2006 -0700

    Rearrange modes to be listed with screen resources. Encoding.
    
    Modes are now listed as screen resources instead of with the output; they're
    shared across outputs for cloning.
    
    Wrote up encoding.

commit 4e47d7af0574690dcf00516337bf0bbe567c9c75
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Sep 11 22:49:15 2006 -0700

    Finish basic request descriptions for version 1.2
    
    outputs now report list of valid modes. crtcs accept a valid mode which must
    be supported on all connected outputs.
    
    outputs also report connection status.

commit dd19f8fbfcc4b8863347ce422006715ed95a7c00
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Sep 11 22:19:28 2006 -0700

    Move supported mode list from CRTC to OUTPUT.

commit 62decb70de5bbe623859764e7cb492209478e304
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Sep 11 21:29:39 2006 -0700

    Start rework for screen/CRTC/monitor scheme.

commit 3305f634fae79603edc1d3aab1671a91caeb24d4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 14 18:56:26 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 5220e7d7dfa64d95918b6f5ad52089fe87540b61
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Jun 27 22:38:32 2006 +0200

    Swizzle protocol contents to fix errors discovered while implementing X server piece

commit c414ce4494f0d062bc25fa671cf50a556c9e1d8c
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Jun 27 02:27:10 2006 +0200

    Just use CARD16 for indices

commit bbaabdd10585aed3bc44f2179ec4a68975a599cc
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Jun 26 14:33:18 2006 +0200

    Finish randerproto.h change for 1.2. Use Window instead of Drawable for 1.2.

commit d606ad207ccef5c050374b535acb0bd3ed3b95aa
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Mon Jun 26 12:42:50 2006 +0200

    move protocol.txt to randrproto.txt. Start updating headers for version 1.2

commit 69f5562610a94cb7c67b5e8bcd7d1e3df53bbcad
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Jun 25 08:51:27 2006 +0200

    Finish encodings for 1.2 additions.

commit efde5d9569afef58317905ce30910f80cb3d01c8
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Jun 25 03:35:24 2006 +0200

    Start specifying the encoding for 1.2 requests

commit bb97699dcd1e274a1abc20f1a818aaf53b269a1b
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Jun 25 03:25:59 2006 +0200

    Describe relationship between RandR, Xinerama and XFree86-VidModeExtension

commit 66cb6d24ecd161c9f0b42ba55d8ae642fe02729e
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sun Jun 25 03:10:20 2006 +0200

    Add RRMonitorChangeNotify event. Complete RRSetMonitorConfig.

commit 3b72072c31258d1f12b93eba77b5e30cf46c5309
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Jun 24 17:35:35 2006 -0700

    Repair broken parts of spec. Add RRGetMonitorInfo and RRSetMonitorConfig

commit 2907236309d2862f61dcb0c032df1abdb9adc80e
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Jun 24 16:58:16 2006 -0700

    Clean up really broken text in the spec

commit 2370c88074c63bbe8d37d510e7e1f5c28fe6e573
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Jun 24 16:22:44 2006 -0700

    Reformat license text, add Intel copyright

commit 79af1c0351dbac7c89433b7ae141835a4566c428
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Jun 24 16:14:07 2006 -0700

    Introduce Xinerama changes. Remove spurious 'Bad' error name prefix.

commit 914084f13a379ee85dc1b8f6fd3f46c8ba7f7797
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:38 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 49011800c0c000799428b543cc4fe72204abdd7f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:14 2005 +0000

    Update package version number for RC1 release.

commit 6f41ee7aa447ea8245249dca9a665151f5b65725
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Aug 2 19:19:39 2005 +0000

    Add basic .cvsignore files for proto modules.

commit 224663a4c053377b30ded5676a9438618969d92c
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:56 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit fd007cfa47c96f73c16d12c8498f4735addd2f4e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat May 21 04:14:00 2005 +0000

    Set version to 1.1.

commit 0e6b22b5729df01528a78ce25780395f1ddbb7c4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:40 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit b805a556617f9a29e812a988b8be6056c654cd82
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:18 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit cede321965b378548cd0c43528451d47c70ea5b8
Author: Josh Triplett <josh@speakeasy.net>
Date:   Tue May 17 06:34:47 2005 +0000

    Add COPYING file for Randr. Note that the two included licenses are very
        similar, but contain a few minor differences when referring to the
        companies granting the license, HP and Compaq.

commit b3b508a6b8761d6a117639935ad4b18407846c61
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon May 9 18:20:05 2005 +0000

    Change all the protonames from <extension>Ext to <extension>Proto.

commit b385d6eefab1555f48255edbdc2c8c8fe101cf80
Author: Kevin E Martin <kem@kem.org>
Date:   Fri May 6 01:46:31 2005 +0000

    Initial build system files for proto module.

commit 05a69617948c14bc149d0d1c2a78894a9ba1970d
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:46 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 3b8859eca5103b50149e0274182cf55d80ec7909
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:06 2004 +0000

    Merging XORG-CURRENT into trunk

commit 17d50f3cdcf97b0d39c376c73d60750bff912f8b
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:36 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit cbbd2e5ed80cda31163a0d481232aecb96295656
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:10:54 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit a94538f86fbcab3c57a723036c03490d9a3eb120
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:14 2004 +0000

    readding XFree86's cvs IDs

commit 359fc691ebea1276937657d34fccf8f4a8d9e33d
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:28 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit f37a7bf7eeaaf96461797ea4c06c3208d2cbdeb4
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:43 2003 +0000

    XFree86 4.3.0.1

commit 7ad444f10407c94b55911966c10cba0533cf8f74
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:43 2003 +0000

    Initial revision
